## f_close

The f_close function closes an open file.

    FRESULT f_close (
      FIL* FileObject     /* Pointer to the file object structure */
    );

#### Parameter

FileObject
  Pointer to the open file object structure to be closed.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_INVALID_OBJECT, FR_TIMEOUT

#### Description

The f_close function closes an open file object. If any data has been written to the file, the cached information of the file is written back to the disk. After the function succeeded, the file object is no longer valid and it can be discarded.

#### QuickInfo

Always available.

#### See Also

`f_open, f_read, f_write, f_sync, FIL, FATFS`

Return